DataImporter.Status (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DataImporter.Status class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.handler.dataimport
Enum DataImporter.Status

    java.lang.Object
      java.lang.Enum<DataImporter.Status>
          org.apache.solr.handler.dataimport.DataImporter.Status

All Implemented Interfaces:
  Serializable, Comparable<DataImporter.Status>

Enclosing class:
  DataImporter

    public static enum DataImporter.Status

extends Enum<DataImporter.Status>

Enum Constant Summary
`IDLE`
`JOB_FAILED`
`RUNNING_DELTA_DUMP`
`RUNNING_FULL_DUMP`

Method Summary
`static DataImporter.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataImporter.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDLE

    public static final DataImporter.Status IDLE

### RUNNING_FULL_DUMP

    public static final DataImporter.Status RUNNING_FULL_DUMP

### RUNNING_DELTA_DUMP

    public static final DataImporter.Status RUNNING_DELTA_DUMP

### JOB_FAILED

    public static final DataImporter.Status JOB_FAILED

Method Detail

### values

    public static final DataImporter.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(DataImporter.Status c : DataImporter.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static DataImporter.Status valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD